﻿using GrapeCity.ActiveReports;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.IO;
using System.Text;
using System.Windows.Forms;

namespace PrinterSettings_VS19
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            PrintDialog printDialog = new PrintDialog();
            printDialog.PrinterSettings = new System.Drawing.Printing.PrinterSettings();
            if (printDialog.ShowDialog() == DialogResult.OK)
            {
                var userPrinterSettings = printDialog.PrinterSettings;
                SetPrinterSettingsToReport(userPrinterSettings);
            }
        }
        private void SetPrinterSettingsToReport(System.Drawing.Printing.PrinterSettings userPrinterSettings)
        {
            PageReport rpt = new PageReport(new FileInfo(Path.Combine(Application.StartupPath, "Report.rdlx")));
            rpt.Document.Printer.PrinterSettings.Copy(userPrinterSettings);
            GrapeCity.ActiveReports.PrintExtension.Print(rpt.Document, false, true);
        }
    }
}
